Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.swt.core.di
Interface EMFFormsDIRendererService<VELEMENT extends VElement>

Type Parameters:
  `VELEMENT` -

All Known Implementing Classes:
  AutocompleteTextControlSWTRendererService, BooleanControlSWTRendererService, CategorizationElementTabbedRendererService, CollapsableGroupSWTRendererService, CompositeCategoryJFaceTreeRendererService, CompositeCategorySWTTabRendererService, DateTimeControlSWTRendererService, EmailControlSWTRendererService, EmbeddedGroupSWTRendererService, EMFFormsDIWrapperRendererService, EnumComboViewerSWTRendererService, GroupSWTRendererService, HorizontalLayoutSWTRendererService, LabelRAPRendererService, LabelSWTRendererService, MultiReferenceSWTRendererService, NumberControlSWTRendererService, PGroupRendererService, PGroupRendererService, StackItemSWTRendererService, SWTCategorizationElementRendererService, SWTCategorizationRendererService, SWTCategoryRendererService, TableControlDetailDialogSWTRendererService, TableControlDetailPanelSWTRendererService, TableControlSWTRendererService, TestControlSWTRendererServiceDI, TextControlSWTRendererService, VerticalLayoutSWTRendererService, ViewSWTRendererService, XMLDateControlSWTRendererService

    public interface EMFFormsDIRendererService<VELEMENT extends VElement>

This class defines a renderer service interface for dependency injection renderer services. It defines the `isApplicable(VElement, ViewModelContext)` method to check if the represented renderer is suitable for the given `VElement` and `ViewModelContext` and the `getRendererClass()` method that returns the `Class` of the renderer.

Author:
  Lucas Koehler

Field Summary
`static double` | `NOT_APPLICABLE` Constant for `isApplicable(VElement, ViewModelContext)` to indicate, that the EMFFormsDIRendererService cannot provide a fitting renderer for the provided VElement.

Method Summary
`Class<? extends AbstractSWTRenderer<VELEMENT>>` | `getRendererClass()` Returns the `Class` for the renderer of this service.
`double` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` can be rendered by the renderer defined by `getRendererClass()`.

Field Detail

### NOT_APPLICABLE

    static final double NOT_APPLICABLE

  Constant for `isApplicable(VElement, ViewModelContext)` to indicate, that the EMFFormsDIRendererService cannot provide a fitting renderer for the provided VElement.

  See Also:
    Constant Field Values

Method Detail

### isApplicable

    double isApplicable(VElement vElement,
                        ViewModelContext viewModelContext)

  Check whether the provided `VElement` can be rendered by the renderer defined by `getRendererClass()`.

  Parameters:
    `vElement` - The `VElement` to check
    `viewModelContext` - The `ViewModelContext` to use for the renderer
  Returns:
    `NOT_APPLICABLE` if the renderer doesn't fit, a positive value otherwise

### getRendererClass

    Class<? extends AbstractSWTRenderer<VELEMENT>> getRendererClass()

  Returns the `Class` for the renderer of this service.

  Returns:
    the `Class`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.